Subject: [PATCHSET] Adding aerc
From: "(" <[email-masked]>
To: <[email-masked]>
Date: Sat, 04 Jun 2022 13:07:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I have just finished adding the aerc <https://aerc-mail.org> email client to Guix 'R Us in
these commits: <https://git.sr.ht/~whereiseveryone/guixrus/commit/4f4926e613f6ce2c127f0ee31b351a418508321b>,
<https://git.sr.ht/~whereiseveryone/guixrus/commit/f2317804ba38151efb355d2ccf86d5e93bc83873> and
<https://git.sr.ht/~whereiseveryone/guixrus/commit/9aff12f3e62a68b46a5fd4db677f58992710ee23>.

Having used guixrus as a testbed, I now want to upstream the package and its dependencies to
Guix proper. I believe this was a commonly-requested package, so it will be nice to finally get
it done :)

The following is the dependency graph for aerc, after removing duplicate dependencies and those
already packaged in Guix:

aerc
  \ go-github-com-zenhack-go-notmuch
  | go-github-com-creack-pty
  | go-google-golang-org-protobuf-proto
  | go-google-golang-org-appengine
  | go-github-com-xo-terminfo
  | go-github-com-riywo-loginshell
  | go-github-com-miolini-datacounter
  | go-github-com-kyoh86-xdg
  | go-github-com-go-ini-ini
  | go-github-com-gatherstars-com-jwz
  | \ go-github-com-rivo-tview
  | | \ go-github-com-rivo-uniseq
  | | | go-github-com-lucasb-eyer-go-colorful
  | | go-github-com-jhillyerd-enmime
  |   \ go-github-com-ssor-bom
  |   | go-github-com-gogs-chardet
  |   | go-github-com-jaytaylor-html2text
  |   | go-github-com-go-test-deep
  |   | go-github-com-cention-sany-utf7
  | go-github-com-emersion-go-imap-sortthread
  | \ go-github-com-emersion-go-imap
  |   \ go-github-com-emersion-go-sasl
  |   | go-github-com-emersion-go-message
  |     \ go-github-com-emersion-go-textwrapper
  | go-github-com-emersion-go-pgpmail
  | \ go-github-com-protonmail-go-crypto-bitcurves
  | | go-github-com-protonmail-go-crypto-brainpool
  | | go-github-com-protonmail-go-crypto-eax
  | | go-github-com-protonmail-go-crypto-internal-byteutil
  | | go-github-com-protonmail-go-crypto-ocb
  | | go-github-com-protonmail-go-crypto-openpgp
  | go-github-com-emersion-go-smtp
  | go-github-com-arran4-golang-ical
  | \ go-github-com-niemeyer-pretty
  | go-git-sr-ht--sircmpwn-getopt

which means that I should send them in the following order (so that each commit is atomic):

go-github-com-zenhack-go-notmuch
go-github-com-creack-pty
go-google-golang-org-protobuf-proto
go-google-golang-org-appengine
go-github-com-xo-terminfo
go-github-com-riywo-loginshell
go-github-com-miolini-datacounter
go-github-com-kyoh86-xdg
go-github-com-go-ini-ini
go-github-com-lucasb-eyer-go-colorful
go-github-com-rivo-uniseq
go-github-com-rivo-tview
go-github-com-ssor-bom
go-github-com-gogs-chatdet
go-github-com-jaytaylor-html2text
go-github-com-go-test-deep
go-github-com-cention-sany-utf7
go-github-com-jhillyerd-enmime
go-github-com-gatherstars-com-jwz
go-github-com-emersion-go-textwrapper
go-github-com-emersion-go-message
go-github-com-emersion-go-sasl
go-github-com-emersion-go-imap
go-github-com-emersion-go-imap-sortthread
go-github-com-protonmail-go-crypto-bitcurves
go-github-com-protonmail-go-crypto-brainpool
go-github-com-protonmail-go-crypto-eax
go-github-com-protonmail-go-crypto-internal-byteutil
go-github-com-protonmail-go-crypto-ocb
go-github-com-protonmail-go-crypto-openpgp
go-github-com-emersion-go-pgpmail
go-github-com-emersion-go-smtp
go-github-com-niemeyer-pretty
go-github-com-arran4-golang-ical
go-git-sr-ht--sircmpwn-getopt
aerc